NX Open C++ Reference Guide
List of all members
NXOpen::Features::SheetMetal::AeroFlatSolidBuilder Class Reference

Represents a Flat As Solid feature builder. More...

Inheritance diagram for NXOpen::Features::SheetMetal::AeroFlatSolidBuilder:
NXOpen::Features::SheetMetal::FlatSolidBuilder NXOpen::Features::SheetMetal::SheetmetalBaseBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Additional Inherited Members

- Public Types inherited from NXOpen::Features::SheetMetal::FlatSolidBuilder
enum  OrientationType { OrientationTypeDefault, OrientationTypeEdge, OrientationTypeCsys }
 The enum defines how to orient flat solid body. More...
 
enum  TransformComponentsOption { TransformComponentsOptionNone, TransformComponentsOptionBody, TransformComponentsOptionCsys }
 The enum defines how to represent PCB components on flat solid. More...
 
- Public Member Functions inherited from NXOpen::Features::SheetMetal::FlatSolidBuilder
NXOpen::SectionAddedGeometry ()
 Returns the added geometry selection
Created in NX6.0.0. More...
 
bool Associative ()
 Returns the setting which decides whether the flattened solid will be associative to parent body. More...
 
bool FixAtTimestamp ()
 Returns the setting decides whether the flattened solid will be fixed at timestamp. More...
 
NXOpen::Features::SheetMetal::CornerTreatmentBuilderInnerCornerTreatment ()
 Returns the inner corner treatment corner object
Created in NX6.0.0. More...
 
NXOpen::Features::SheetMetal::FlatSolidBuilder::OrientationType Orientation ()
 Returns the option which decides if the flattened solid will be transformed to Absolute CSYS. More...
 
NXOpen::CoordinateSystemOrientationCsys ()
 Returns the orientation csys This is applicable to flat solid features created (or renewed) in NX12 and later release. More...
 
NXOpen::Features::SheetMetal::CornerTreatmentBuilderOuterCornerTreatment ()
 Returns the outer corner treatment corner object
Created in NX6.0.0. More...
 
NXOpen::Point3d ReferenceVertex ()
 Returns the end of the edge where the tangent will define the x axis for flat as solid. More...
 
void SetAssociative (bool associative)
 Sets the setting which decides whether the flattened solid will be associative to parent body. More...
 
void SetFixAtTimestamp (bool fixAtTimestamp)
 Sets the setting decides whether the flattened solid will be fixed at timestamp. More...
 
void SetOrientation (NXOpen::Features::SheetMetal::FlatSolidBuilder::OrientationType orientation)
 Sets the option which decides if the flattened solid will be transformed to Absolute CSYS. More...
 
void SetOrientationCsys (NXOpen::CoordinateSystem *csys)
 Sets the orientation csys This is applicable to flat solid features created (or renewed) in NX12 and later release. More...
 
void SetReferenceVertex (const NXOpen::Point3d &vertex)
 Sets the end of the edge where the tangent will define the x axis for flat as solid. More...
 
void SetTransformComponents (NXOpen::Features::SheetMetal::FlatSolidBuilder::TransformComponentsOption transformComponents)
 Sets the setting indicating how to represent transformed components in flat solid. More...
 
void SetTransformRestrictionAreas (bool transformRestrictionAreas)
 Sets the setting indicating whether to transform restriction areas in flat solid. More...
 
void SetTransformToAbsoluteCsys (bool transformFlag)
 Sets the flag which decides if the flattened solid will be transformed to Absolute CSYS. More...
 
NXOpen::SelectFaceStationaryFace ()
 Returns the stationary face selection
Created in NX6.0.0. More...
 
NXOpen::Features::SheetMetal::FlatSolidBuilder::TransformComponentsOption TransformComponents ()
 Returns the setting indicating how to represent transformed components in flat solid. More...
 
bool TransformRestrictionAreas ()
 Returns the setting indicating whether to transform restriction areas in flat solid. More...
 
bool TransformToAbsoluteCsys ()
 Returns the flag which decides if the flattened solid will be transformed to Absolute CSYS. More...
 
int ValidateBuilderData ()
 Validate the builder data. More...
 
NXOpen::SelectEdgeXAxisEdge ()
 Returns the x axis edge selection
Created in NX6.0.0. More...
 

Detailed Description

Represents a Flat As Solid feature builder.


To create a new instance of this class, use NXOpen::Features::SheetMetal::AeroSheetmetalManager::CreateFlatSolidBuilder
Default values.

Property Value

Associative

true

TransformComponents

None

TransformRestrictionAreas

0


Created in NX6.0.0.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.